subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko ─îibej <br...@wandisco.com>
Subject Re: Subversion 1.8.9 repository access issue [Urgent]
Date Sat, 05 Jul 2014 07:12:10 GMT
On 05.07.2014 01:57, Mohsin Abbas wrote:
> Hello sir,
>
> Hope you are doing well . I have installed SVN V1.8.9 with Apache
> 2.2.24 all repositories are working fine except one which gives
> following error when I access from browser. Can you please help me why
> this specific repository is giving error while others are working fine .
>
> Note : Previous SVN version was 1.4.2 I have installed latest SVN
> V1.8.9 and r synced SVN V1.4.2 repositories.
>
> *Apache error log portion :*
>
> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x]
> (20014)Internal error: Failed to load module for FS type 'bdb'
> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x] Could not
> fetch resource information.  [500, #0]
> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x] Could not open
> the requested SVN filesystem  [500, #160033]
> [Fri Jul 04 15:07:43 2014] [error] [client 192.168.x.x] Could not open
> the requested SVN filesystem  [500, #160033]

Your 1.8.9 binaries do not contain the BDB repository back-end; that
would be libsvn_fs_base-1.so on your Linux box. If you built the
binaries yourself, note that you need the Berkeley DB development
package in order to compile this library.

-- Brane


-- 
Branko ─îibej | Director of Subversion
WANdisco // Non-Stop Data
e. brane@wandisco.com

Mime
View raw message